from flask_wtf import FlaskForm
from wtforms import StringField, SubmitField, BooleanField
from wtforms.validators import DataRequired, Optional
from flask_wtf.file import FileField  # Cuz' wtforms' FileField is shitty


class TrophyForm(FlaskForm):
    name = StringField(
        'Nom', 
        validators=[
            DataRequired(),
        ],
    )
    icon = FileField(
        'Icône',
    )
    title = BooleanField(
        'Titre', 
        description='Un titre peut être affiché en dessous du pseudo.', 
        validators=[
            Optional(),
        ],
    )
    css = StringField(
        'CSS', 
        description='CSS appliqué au titre, le cas échéant.',
    )
    submit = SubmitField(
        'Envoyer',
    )

class DeleteTrophyForm(FlaskForm):
    delete = BooleanField(
        'Confirmer la suppression', 
        validators=[
            DataRequired(),
        ], 
        description='Attention, cette opération est irréversible !',
    )
    submit = SubmitField(
        'Supprimer le trophée',
    )
